
Figure - Bug #113741
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.microsoft.emmx
2022-11-07 14:18 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date: 2022-11-14

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: INVALID Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-08

Test Type: Monkey Test Root cause: 这个微软的浏览器只是临时搭载的，是测试在应用宝下载的临时版本，方便有个浏览器可以下载东西，这个客户后续会提供正式版本，因此目前这个应用没有任何测试意义

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.microsoft.emmx (pid 8463)

ANR in com.microsoft.emmx (com.microsoft.emmx/com.microsoft.ruby.Main)

PID: 8463

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.microsoft.emmx/com.microsoft.ruby.Main

ErrorId: 3967b380-e4c8-4606-8569-e8abc582e462

Frozen: false

Load: 8.62 / 8.45 / 9.05

----- Output from /proc/pressure/memory -----

some avg10=0.23 avg60=0.21 avg300=0.05 total=8163498

full avg10=0.10 avg60=0.09 avg300=0.02 total=3404100

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 24160ms later (2022-11-05 03:27:18.140 to 2022-11-05 03:27:42.300):

  89% 1053/sensors.qti: 18% user + 71% kernel

  89% 1247/tlog: 2.5% user + 86% kernel / faults: 6 minor

  66% 7232/tlog: 3.1% user + 63% kernel / faults: 5 minor

  41% 1136/system_server: 11% user + 30% kernel / faults: 51927 minor

  31% 1039/surfaceflinger: 14% user + 17% kernel / faults: 2904 minor

  21% 8463/com.microsoft.emmx: 12% user + 8.5% kernel / faults: 21858 minor

  21% 960/vendor.qti.hardware.display.composer-service: 6.6% user + 14% kernel / faults: 519 minor

  8.1% 1555/llkd: 0.6% user + 7.4% kernel

  16% 1335/media.codec: 3.4% user + 12% kernel / faults: 8875 minor
【日志】

Tlog和ANR日志见Bug #113491 附件

History

#1 - 2022-11-07 17:17 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to INVALID

- Degrated changed from -- to No

- Fixed Version set to 2022-11-08

- Root cause set to 这个微软的浏览器只是临时搭载的，是测试在应用宝下载的临时版本，方便有个浏览器可以下载东西，这个客户后续会提供正式版本，

因此目前这个应用没有任何测试意义

#2 - 2022-11-07 17:18 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

#3 - 2022-11-08 09:54 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

该应用为临时版本，待集成正式版本后再执行monkey，跑出error后再提单

现阶段忽略该应用的error

关闭此问题

#4 - 2022-11-08 09:54 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
